import { watch as u } from "vue";
import { cloneDeep as f, isEqual as c } from "lodash";
const d = (e, i) => {
  u(
    () => f(e.option),
    (o, t) => {
      c(o, t) || i(e.option);
    },
    { deep: !0 }
  ), u(
    () => f(e.sources),
    (o, t) => {
      c(o, t) || i(e.option);
    },
    { deep: !0 }
  ), u(
    () => f(e.option.default.isDefaultSelect),
    (o, t) => {
      c(o, t) || i(e.option);
    },
    {
      deep: !0
    }
  );
};
export {
  d as useWatch
};
